Subject: Re: subversion-perl missing

From: Georg-Johann Lay <[email-masked]>
Date: Wed, 28 Sep 2011 17:54:38 +0200

Jakub Narebski schrieb:
> On Wed, 28 Sep 2011, Georg-Johann Lay wrote:
>> As far as I understand, alien-svn comes with SVN sources which it uses for its
>> own perl packages to provide svn stuff to perl, but don't install/build new svn
>> version.
> 
> Step by step instruction.
> 
> 1. Follow instructions on local::lib manpage
>    http://search.cpan.org/perldoc?local::lib
> 
>    c.f. http://perl.jonallen.info/writing/articles/install-perl-modules-without-root
> 
> 2. (Optional). Follow instructions on cpanm manpage, e.g. http://cpanmin.us
>    or http://search.cpan.org/perldoc?cpanm
> 
> 3. Install Alien::SVN from CPAN using 'cpan' client or 'cpanm', e.g.
> 
>    $ cpanm Alien::SVN
> 
> Now you are able to install Perl modules in your home directory.

Thank you very much, I never would have found the way through all that jungle
alone!

After steps 1-3 succeeded (as far as I can tell) I can run git svn (but not
git-svn) now.

With an SVN repo I can do

$ svn list http://repo/path

archive/
branches/
tags/
trunk/

and

$ svn checkout http://repo/path

but git svn complains:

$ git svn clone -s --username=georg http://repo/path

Initialized empty Git repository in /local/georg/path/.git/
Bad URL passed to RA layer: Unrecognized URL scheme for 'http://repo/path' at
/usr/local/libexec/git-core/git-svn line 1941

Does git svn not support http?

>>From what I read in git svn --help this should suffice to checkout from SVN and
http is mentioned explicitly in an example.

So is my git-svn still broken/not functional or am I missing something from the
docs?

Johann